actions:
- get-string: null
- script: |
    variants = ["STM32H742xx", "STM32H743xx", "STM32H745xx", "STM32H747xx",
    "STM32H750xx", "STM32H753xx", "STM32H755xx", "STM32H757xx", "STM32H7A3xx",
    "STM32H7A3xxQ", "STM32H7B0xx", "STM32H7B0xxQ", "STM32H7B3xx", "STM32H7B3xxQ"]
    if value not in variants:
        conf.fatal(
            "STM32H7 chip variant '{}' is not one of {}".format(
                value, variants
            )
        )
    conf.define_cond(value, True)
active: true
build-type: option
default: STM32H743xx
default-by-variant: []
derived: false
enabled-by: []
format: '{}'
header: ''
level: 1.6
links: []
name: STM32H7_VARIANT
normative: true
order: 0
ref: ''
reviewed: emRaLdP-cH8SBLcllU-sLMGLh980aglw8vwj0gcSvpM=
text: |
  Select the STM32H7 series chip variant out of STM32H742xx, STM32H743xx,
  STM32H745xx, STM32H747xx, STM32H750xx, STM32H753xx, STM32H755xx, STM32H757xx,
  STM32H7A3xx, STM32H7A3xxQ, STM32H7B0xx, STM32H7B0xxQ, STM32H7B3xx, and
  STM32H7B3xxQ.
type: build
